Remote Execution sometimes needs to use update-minimal --nobest to install errata
Status: New   

Priority: Normal   

Assignee:    

Category: Errata Management   

Target version: Katello 4.13.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 4.7.2

Bugzilla link: 2168835 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

When trying to install multiple errata for same package or with shared deps, is possible that dnf bugs cause the failure in the

installation of the errata.

Example below is done on a RHEL 8.2:

1. yum update-minimal --advisory=RHSA-2022:2092 --advisory=RHSA-2021:2359

Updating Subscription Management repositories.

This system is registered to Red Hat Subscription Management, but is not receiving updates. You can use

subscription-manager to assign subscriptions.

Red Hat Enterprise Linux 8 for x86_64 - AppStream (RPMs)

Red Hat Enterprise Linux 8 for x86_64 - BaseOS (RPMs)

Error:

Problem: package dhcp-client-12:4.3.6-44.el8_4.1.x86_64 requires libdns-export.so.1112()(64bit), but none of the providers can be

installed

- cannot install both bind-export-libs-32:9.11.36-3.el8.x86_64 and bind-export-libs-32:9.11.26-4.el8_4.x86_64

- cannot install both bind-export-libs-32:9.11.36-3.el8.x86_64 and bind-export-libs-32:9.11.26-3.el8.x86_64

- cannot install both bind-export-libs-32:9.11.36-3.el8.x86_64 and bind-export-libs-32:9.11.26-6.el8.x86_64

- cannot install the best update candidate for package dhcp-client-12:4.3.6-40.el8.x86_64

- cannot install the best update candidate for package bind-export-libs-32:9.11.13-3.el8.x86_64

(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or

'--nobest' to use not only best candidate packages)

But if we use the `--nobest` option - like yum suggest to do, we have the appropriate outcome, equal to what will happen if we would

install the erratas one by one:

1. yum update-minimal --nobest --advisory=RHSA-2022:2092 --advisory=RHSA-2021:2359

Updating Subscription Management repositories.

This system is registered to Red Hat Subscription Management, but is not receiving updates. You can use

subscription-manager to assign subscriptions.

Last metadata expiration check: 1:40:38 ago on Thu 09 Feb 2023 12:46:29 PM CET.

Dependencies resolved.   

Problem: package dhcp-client-12:4.3.6-44.el8_4.1.x86_64 requires libdns-export.so.1112()(64bit), but none of the providers can

be installed

- cannot install both bind-export-libs-32:9.11.36-3.el8.x86_64 and bind-export-libs-32:9.11.26-4.el8_4.x86_64

- cannot install both bind-export-libs-32:9.11.36-3.el8.x86_64 and bind-export-libs-32:9.11.26-3.el8.x86_64

- cannot install both bind-export-libs-32:9.11.36-3.el8.x86_64 and bind-export-libs-32:9.11.26-6.el8.x86_64

- cannot install the best update candidate for package dhcp-client-12:4.3.6-40.el8.x86_64

- cannot install the best update candidate for package bind-export-libs-32:9.11.13-3.el8.x86_64

=================================================================================================

=================================================================================================

==================================
Package                                              Architecture                               Version                                                    Repository            

Size

=================================================================================================

=================================================================================================

==================================

Upgrading:

bind-export-libs                                     x86_64                                     32:9.11.36-3.el8                                          

rhel-8-for-x86_64-baseos-rpms                                     1.1 M

dhcp-client                                          x86_64                                     12:4.3.6-48.el8_7.1                                       

rhel-8-for-x86_64-baseos-rpms                                     318 k

dhcp-common                                          noarch                                     12:4.3.6-48.el8_7.1                                       

rhel-8-for-x86_64-baseos-rpms                                     207 k

dhcp-libs                                            x86_64                                     12:4.3.6-48.el8_7.1                                       

rhel-8-for-x86_64-baseos-rpms                                     148 k

Skipping packages with conflicts:

(add '--best --allowerasing' to command line to force their upgrade):

bind-export-libs                                     x86_64                                     32:9.11.26-3.el8                                          

rhel-8-for-x86_64-baseos-rpms                                     1.1 M

bind-export-libs                                     x86_64                                     32:9.11.26-4.el8_4                                        

rhel-8-for-x86_64-baseos-rpms                                     1.1 M

bind-export-libs                                     x86_64                                     32:9.11.26-6.el8                                          

rhel-8-for-x86_64-baseos-rpms                                     1.1 M

bind-export-libs                                     x86_64                                     32:9.11.36-3.el8                                          

rhel-8-for-x86_64-baseos-rpms                                     1.1 M

Skipping packages with broken dependencies:

dhcp-client                                          x86_64                                     12:4.3.6-44.el8_4.1                                       

rhel-8-for-x86_64-baseos-rpms                                     318 k

This RFE is to adjust installation errata templated in order to address this use case.

History

#1 - 02/13/2023 12:34 PM - Andrea Perotti

- Bugzilla link set to 2168835

#2 - 02/15/2023 07:25 PM - Lucy Fu

- Category set to Errata Management

- Target version set to Katello 4.9.0

- Triaged changed from No to Yes

#3 - 05/26/2023 08:40 PM - Lucy Fu

- Target version changed from Katello 4.9.0 to Katello 4.10.0

#4 - 11/01/2023 05:48 PM - Chris Roberts

- Target version changed from Katello 4.10.0 to Katello 4.11.0

#5 - 12/20/2023 08:46 PM - Ian Ballou

- Target version changed from Katello 4.11.0 to Katello 4.12.0

#6 - 03/27/2024 01:26 PM - Quinn James

- Target version changed from Katello 4.12.0 to Katello 4.13.0

Bumping to 4.13
